%define upstream_name    Sys-Virt
%define upstream_version 1.3.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Interface to libvirt virtual machine management API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

# Build
BuildRequires: libvirt-devel >= %{version}
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.76
# Tests only
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::XPath)
BuildRequires: perl-devel
# Optional tests only
BuildRequires: perl(Test::CPAN::Changes)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00

%description
The Sys::Virt module provides a Perl XS binding to the libvirt virtual
machine management APIs. This allows machines running within arbitrary
virtualization containers to be managed with a consistent API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%license LICENSE
%doc AUTHORS Changes HACKING INSTALL META.yml MYMETA.yml README examples
%{perl_vendorarch}/Sys
%{perl_vendorarch}/auto/Sys
%{_mandir}/man3/Sys::Virt*3pm*


%changelog
* Thu Jun 16 2016 tv <tv> 1.3.5-1.mga6
+ Revision: 1021641
- new release
- fix build on arm: drop useless BR on xen-devel

* Wed Jun 15 2016 tv <tv> 1.3.4-2.mga6
+ Revision: 1021548
- we need a newer libvirt
- use %%license

* Sun May 08 2016 shlomif <shlomif> 1.3.4-1.mga6
+ Revision: 1010784
- update to 1.3.4

* Fri Apr 15 2016 shlomif <shlomif> 1.3.3-1.mga6
+ Revision: 1002301
- update to 1.3.3

* Thu Feb 18 2016 umeabot <umeabot> 1.2.21-2.mga6
+ Revision: 966477
- Mageia 6 Mass Rebuild

  + tv <tv>
    - new release

* Fri Jun 26 2015 tv <tv> 1.2.8-6.mga6
+ Revision: 845305
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 1.2.8-5.mga6
+ Revision: 841128
- rebuild for perl-5.22

* Sun Oct 19 2014 umeabot <umeabot> 1.2.8-4.mga5
+ Revision: 788721
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.2.8-3.mga5
+ Revision: 749162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.8-2.mga5
+ Revision: 686297
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 1.2.8-1.mga5
+ Revision: 672853
- update to 1.2.8

* Sun Jul 27 2014 sander85 <sander85> 1.2.6-1.mga5
+ Revision: 657542
- update to 1.2.6

* Wed Jun 04 2014 sander85 <sander85> 1.2.5-1.mga5
+ Revision: 633038
- update to 1.2.5

* Tue Jun 03 2014 pterjan <pterjan> 1.2.4-2.mga5
+ Revision: 631738
- Rebuild for perl 5.20

* Mon May 19 2014 sander85 <sander85> 1.2.4-1.mga5
+ Revision: 623866
- update to 1.2.4

* Fri Jan 24 2014 oden <oden> 1.2.1-1.mga4
+ Revision: 567706
- 1.2.1

* Mon Oct 21 2013 umeabot <umeabot> 1.1.3-2.mga4
+ Revision: 540788
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 1.1.3-1.mga4
+ Revision: 494309
- update to 1.1.3

* Fri Sep 27 2013 sander85 <sander85> 1.1.2-1.mga4
+ Revision: 488048
- update to 1.1.2

* Wed Jul 31 2013 sander85 <sander85> 1.1.1-1.mga4
+ Revision: 461461
- update to 1.1.1

* Mon Jul 29 2013 sander85 <sander85> 1.1.0-1.mga4
+ Revision: 460639
- update to 1.1.0

* Mon Jun 10 2013 jquelin <jquelin> 1.0.5-1.mga4
+ Revision: 441755
- update to 1.0.5

* Wed May 29 2013 jquelin <jquelin> 1.0.0-4.mga4
+ Revision: 432313
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0.0-3.mga4
+ Revision: 432155
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 373003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 342644
- update to 1.0.0

* Thu Sep 27 2012 jquelin <jquelin> 0.10.2-1.mga3
+ Revision: 298737
- update to 0.10.2

* Wed May 30 2012 jquelin <jquelin> 0.9.10-2.mga3
+ Revision: 251188
- rebuild for perl 5.16

* Fri Feb 24 2012 jquelin <jquelin> 0.9.10-1.mga2
+ Revision: 213771
- update to 0.9.10

* Wed Jan 25 2012 jquelin <jquelin> 0.9.9-1.mga2
+ Revision: 201022
- update to 0.9.9

* Thu Jan 05 2012 jquelin <jquelin> 0.9.8-1.mga2
+ Revision: 191286
- update to 0.9.8

* Thu Dec 08 2011 kharec <kharec> 0.9.7-1.mga2
+ Revision: 179276
- update to 0.9.7

* Fri Oct 14 2011 jquelin <jquelin> 0.9.5-1.mga2
+ Revision: 154847
- update to 0.9.5
- update to 0.9.3

  + fwang <fwang>
    - new version 0.9.4

* Wed Jul 13 2011 jquelin <jquelin> 0.9.2-1.mga2
+ Revision: 123641
- update to 0.9.2

* Fri Jul 08 2011 jquelin <jquelin> 0.2.8-1.mga2
+ Revision: 120630
- update to 0.2.8

* Sun Jun 12 2011 sander85 <sander85> 0.2.6-2.mga2
+ Revision: 105009
- Rebuild for perl 5.14

* Tue Mar 15 2011 saispo <saispo> 0.2.6-1.mga1
+ Revision: 72040
- Disable test
- New release 0.2.6

  + jquelin <jquelin>
    - mageia rebuild
    - imported package perl-Sys-Virt


* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 562463
- update to 0.2.4

* Sat Jan 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 492159
- update to 0.2.3

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.2-1mdv2010.0
+ Revision: 442641
- update to 0.2.2

* Wed Aug 26 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 421389
- update to 0.2.1

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 370183
- update to new version 0.2.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-1mdv2008.1
+ Revision: 174676
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdv2008.0
+ Revision: 78769
- spec cleanup and ship documentation files

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 0.1.1-1mdv2008.0
+ Revision: 17258
- 0.1.1


(none)